# General filesystem setup used by my main machines.

{ config, ... }:

{
  boot.initrd.luks.devices = {
    root = {
      device = "/dev/disk/by-label/CRYPT";
      preLVM = true;
      allowDiscards = true;
    };
  };

  fileSystems."/" =
    { device = "/dev/disk/by-label/ROOT";
      fsType = "btrfs";
    };

  fileSystems."/boot" =
    { device = "/dev/disk/by-label/BOOT";
      fsType = "vfat";
    };

  swapDevices = [
    {
      device = "/dev/mapper/vg-swap";
    }
  ];
}
